Manual inheritance and membership

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Functions
manual.c File Reference

## Classes
struct | Object
| Object type. More...
struct | Vehicle
| Vehicle type. More...
struct | Car
| Car type. More...
struct | Truck
| Truck type. More...

## Functions
int | main (void)

## Detailed Description

## Function Documentation

int main | ( | void |  | ) |

Main function.

Ref vehicleStart(), objRef(), objUnref().

References Vehicle::vehicleStart().

{
Car c;
vehicleStart((Vehicle*) &c);
}